---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.syncsequelizemodel'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.syncsequelizemodel.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [syncSequelizeModel](./sequelize.sequelizecrudrepository.syncsequelizemodel.md)

## SequelizeCrudRepository.syncSequelizeModel() method

Run CREATE TABLE query for the target sequelize model, Useful for quick testing

**Signature:**

```typescript
syncSequelizeModel(options?: SyncOptions): Promise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

options


</td><td>

SyncOptions


</td><td>

_(Optional)_ Sequelize Sync Options


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;void&gt;


